#pragma once

#include <Model2D.h>

using namespace Framework;

class DeadPlayer
{
private:
    Model2D *m2a;
    Model2D *m2b;
    Vertex speedA;
    Vertex speedB;
    float rotA;
    float rotB;
    double alpha;
    int ref;

public:
    DeadPlayer( Model2DData *mda, Model2DData *mdb, Punkt posa, Punkt posb, Vertex speedA, Vertex speedB, float curRotA, float curRotB, float rotA, float rotB, Textur2D *zTextur );
    ~DeadPlayer();
    void render( Bild &zRObj );
    bool tick();
    DeadPlayer *getThis();
    DeadPlayer *release();
};